---
categories:
- Workshop
- Docs
cover: reasonable-animals.jpg
cover_alt: olifanten and dolphin agree on something
date: 12/02/2023
description: Gardening for code
git: https://git.xpub.nl/kamo/dyc
slug: dyc
title: Documentation sessions
---

_Documentation sessions to take care of code_


## What could it be
Periodical sessions where to document code. 
Once a week, a couple of hours, on a regular basis.

Soft facilitation: 
- not meant to be frontal moments, but more a shared space 
- small zines to share things about documentation practices (readings, frameworks, prompts)
- p2p feedback and help
- coffee snacks music
- stickers with animals that says document your code (wip)
- share progress like brief debrief ?

## For who? 
For people that tinker with code. Both novice and navigated ones. For documenting small ongoing prototypes or more structured projects. For xpub2, xpub1, lens based, even bachelor students? Something open.

## How to do

- Decide when and where and communicate it
- Could be useful to have some examples
- Nice also to have some prompts

## Where ? ? ? 

- March 23rd at varia
- Could ask v2 if it's somethig they are interested in
- School

## Some visual test

Not sure but made a couple of flyers let's see

![bird of paradise](bird-of-paradise.jpg)

![saddle-bill](saddle-bill.jpg)

## Flyer text  triouts

Document code like 
birds of paradise do

2 hours of headspace 
to write some nice 
_documentation_ 
for a more accessible 
programming practice 

### Ok this is really not necessary right now but what about:

A small system to generate flyers

- Header
- Bird
- Date - Place - Info
- Adjective

```
Document code like
<birds name> do
<picture of bird>
<date><place><info>

2 hours of headpsace
to write some nice
DOCUMENTATION
for a more <adj>
programming practice 
```
And with wobbly shapes for the flyer ...
but this will be for another time

